#include <bits/stdc++.h>
using namespace std;
int n;
int tim(vector<int> a)
{
    int n=a.size();
    if(n==0) return 0;
    vector<int> f(n,1);
    for(int i=1;i<n;i++)
        for(int j=0;j<i;j++)
            if(a[i]>a[j]) f[i]=max(f[i],f[j]+1);
    return *max_element(f.begin(),f.end());
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    freopen("CAU4.INP","r",stdin);
    freopen("CAU4.OUT","w",stdout);
    cin>>n;
    vector<int> a(n);
    for(int i=0;i<n;i++)
        cin>>a[i];
    cout<<n-tim(a);
    return 0;
}
